﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPT_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_PMPT_TASKREPORT', 'T_PMPT_TASKREPORT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_TASKREPORT_1') CREATE  CLUSTERED INDEX IDX_PMPT_TASKREPORT_1 ON T_PMPT_TASKREPORT ( FTASKID );


 EXEC P_ALTERPK 'PK_T_PMPT_TASKREPORTDOC', 'T_PMPT_TASKREPORTDOC', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_TASKREPORTDOC_1') CREATE  CLUSTERED INDEX IDX_PMPT_TASKREPORTDOC_1 ON T_PMPT_TASKREPORTDOC ( FID );


 EXEC P_ALTERPK 'PK_T_PMPT_UPLOADDOC', 'T_PMPT_UPLOADDOC', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_UPLOADDOC_1') CREATE  CLUSTERED INDEX IDX_PMPT_UPLOADDOC_1 ON T_PMPT_UPLOADDOC ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_PMPT_OPCRUXNODEENTRY', 'T_PMPT_OPCRUXNODEENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_OPCRUXNODEENTRY_1') CREATE  CLUSTERED INDEX IDX_PMPT_OPCRUXNODEENTRY_1 ON T_PMPT_OPCRUXNODEENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMPT_OPDATADETAILENTRY', 'T_PMPT_OPDATADETAILENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_OPDATADETAILENTRY_1') CREATE  CLUSTERED INDEX IDX_PMPT_OPDATADETAILENTRY_1 ON T_PMPT_OPDATADETAILENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMPT_OPERATIONREPORT', 'T_PMPT_OPERATIONREPORT', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_OPERATIONREPORT_1') CREATE  CLUSTERED INDEX IDX_PMPT_OPERATIONREPORT_1 ON T_PMPT_OPERATIONREPORT ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PMPT_OPNEXTCYCENTRY', 'T_PMPT_OPNEXTCYCENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_OPNEXTCYCENTRY_1') CREATE  CLUSTERED INDEX IDX_PMPT_OPNEXTCYCENTRY_1 ON T_PMPT_OPNEXTCYCENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMPT_OPPROGRESSENTRY', 'T_PMPT_OPPROGRESSENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_OPPROGRESSENTRY_1') CREATE  CLUSTERED INDEX IDX_PMPT_OPPROGRESSENTRY_1 ON T_PMPT_OPPROGRESSENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMPT_OPREPORTCL', 'T_PMPT_OPREPORTCL', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_OPREPORTCL_0') CREATE  CLUSTERED INDEX IDX_PMPT_OPREPORTCL_0 ON T_PMPT_OPREPORTCL ( FID );


 EXEC P_ALTERPK 'PK_T_PMPT_OPTHISCYCENTRY', 'T_PMPT_OPTHISCYCENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_OPTHISCYCENTRY_1') CREATE  CLUSTERED INDEX IDX_PMPT_OPTHISCYCENTRY_1 ON T_PMPT_OPTHISCYCENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMPT_DEPTPLAN', 'T_PMPT_DEPTPLAN', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_DEPTPLAN_1') CREATE  CLUSTERED INDEX IDX_PMPT_DEPTPLAN_1 ON T_PMPT_DEPTPLAN ( FORGID );


 EXEC P_ALTERPK 'PK_T_PMPT_PERSONPLAN', 'T_PMPT_PERSONPLAN', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_PERSONPLAN_1') CREATE  CLUSTERED INDEX IDX_PMPT_PERSONPLAN_1 ON T_PMPT_PERSONPLAN ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PMPT_PERSONPLAN_L', 'T_PMPT_PERSONPLAN_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_PERSONPLAN_L_0') CREATE  CLUSTERED INDEX IDX_PMPT_PERSONPLAN_L_0 ON T_PMPT_PERSONPLAN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMPT_PROJECTPLAN', 'T_PMPT_PROJECTPLAN', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_PROJECTPLAN_1') CREATE  CLUSTERED INDEX IDX_PMPT_PROJECTPLAN_1 ON T_PMPT_PROJECTPLAN ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PMPT_TASK', 'T_PMPT_TASK', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_TASK_1') CREATE  CLUSTERED INDEX IDX_PMPT_TASK_1 ON T_PMPT_TASK ( FID );


 EXEC P_ALTERPK 'PK_T_PMPT_TASK_L', 'T_PMPT_TASK_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_TASK_L_0') CREATE  CLUSTERED INDEX IDX_PMPT_TASK_L_0 ON T_PMPT_TASK_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMPT_TASKREFERDOC', 'T_PMPT_TASKREFERDOC', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_TASKREFERDOC_1') CREATE  CLUSTERED INDEX IDX_PMPT_TASKREFERDOC_1 ON T_PMPT_TASKREFERDOC ( FDETAILID );


 EXEC P_ALTERPK 'PK_T_PMPT_TASKREFERENTRY', 'T_PMPT_TASKREFERENTRY', 'FDETAILID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_TASKREFERENTRY_1') CREATE  CLUSTERED INDEX IDX_PMPT_TASKREFERENTRY_1 ON T_PMPT_TASKREFERENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_PMPT_TASKRESULTENTRY', 'T_PMPT_TASKRESULTENTRY', 'FDETAILID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_TASKRESULTENTRY_1') CREATE  CLUSTERED INDEX IDX_PMPT_TASKRESULTENTRY_1 ON T_PMPT_TASKRESULTENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_PMPT_CONTROLLEVEL', 'T_PMPT_CONTROLLEVEL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMPT_CONTROLLEVEL_1') CREATE  CLUSTERED INDEX IDX_T_PMPT_CONTROLLEVEL_1 ON T_PMPT_CONTROLLEVEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMPT_MAJORTYPE', 'T_PMPT_MAJORTYPE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMPT_MAJORTYPE_1') CREATE  CLUSTERED INDEX IDX_T_PMPT_MAJORTYPE_1 ON T_PMPT_MAJORTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMPT_MAJORTYPE_L', 'T_PMPT_MAJORTYPE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_MAJORTYPE_L_0') CREATE  CLUSTERED INDEX IDX_PMPT_MAJORTYPE_L_0 ON T_PMPT_MAJORTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMPT_PLANTEMPLATE', 'T_PMPT_PLANTEMPLATE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMPT_PLANTEMPLATE_1') CREATE  CLUSTERED INDEX IDX_T_PMPT_PLANTEMPLATE_1 ON T_PMPT_PLANTEMPLATE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMPT_PLANTEMPLATE_L', 'T_PMPT_PLANTEMPLATE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_PLANTEMPLATE_L_0') CREATE  CLUSTERED INDEX IDX_PMPT_PLANTEMPLATE_L_0 ON T_PMPT_PLANTEMPLATE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMPT_PLANTPLRELEVANT', 'T_PMPT_PLANTPLRELEVANT', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_PLANTPLRELEVANT_0') CREATE  CLUSTERED INDEX IDX_PMPT_PLANTPLRELEVANT_0 ON T_PMPT_PLANTPLRELEVANT ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_PMPT_PLANTPLRESDETAIL', 'T_PMPT_PLANTPLRESDETAIL', 'FDETAILID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_PLANTPLRESDETAIL_0') CREATE  CLUSTERED INDEX IDX_PMPT_PLANTPLRESDETAIL_0 ON T_PMPT_PLANTPLRESDETAIL ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_PMPT_PLANTPLTASKENTRY', 'T_PMPT_PLANTPLTASKENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_PLANTPLTASKENTRY_0') CREATE  CLUSTERED INDEX IDX_PMPT_PLANTPLTASKENTRY_0 ON T_PMPT_PLANTPLTASKENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMPT_PLANTPLTASKENTRY_L', 'T_PMPT_PLANTPLTASKENTRY_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_PLANTPLTASKENTRY_L_0') CREATE  CLUSTERED INDEX IDX_PMPT_PLANTPLTASKENTRY_L_0 ON T_PMPT_PLANTPLTASKENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMPT_PROJCALENDARENTRY', 'T_PMPT_PROJCALENDARENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMPT_PROJCALENDARENTRY_1') CREATE  CLUSTERED INDEX IDX_T_PMPT_PROJCALENDARENTRY_1 ON T_PMPT_PROJCALENDARENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PMPT_PROJWORKCALENDAR', 'T_PMPT_PROJWORKCALENDAR', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_PROJWORKCALENDAR_1') CREATE  CLUSTERED INDEX IDX_PMPT_PROJWORKCALENDAR_1 ON T_PMPT_PROJWORKCALENDAR ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMPT_PROJWORKCALENDAR_L', 'T_PMPT_PROJWORKCALENDAR_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_PROJWORKCALENDAR_L_0') CREATE  CLUSTERED INDEX IDX_PMPT_PROJWORKCALENDAR_L_0 ON T_PMPT_PROJWORKCALENDAR_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMPT_TASKTYPE', 'T_PMPT_TASKTYPE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_TASKTYPE_0') CREATE  CLUSTERED INDEX IDX_PMPT_TASKTYPE_0 ON T_PMPT_TASKTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMPT_TASKTYPE_L', 'T_PMPT_TASKTYPE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_TASKTYPE_L_0') CREATE  CLUSTERED INDEX IDX_PMPT_TASKTYPE_L_0 ON T_PMPT_TASKTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMPT_WORKHOURS', 'T_PMPT_WORKHOURS', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_WORKHOURS_0') CREATE  CLUSTERED INDEX IDX_PMPT_WORKHOURS_0 ON T_PMPT_WORKHOURS ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PMPT_WORKHOURS_L', 'T_PMPT_WORKHOURS_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPT_WORKHOURS_L_0') CREATE  CLUSTERED INDEX IDX_PMPT_WORKHOURS_L_0 ON T_PMPT_WORKHOURS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMPT_RISKWARNINGSET', 'T_PMPT_RISKWARNINGSET', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMPT_RISKWARNINGSET_0') CREATE  CLUSTERED INDEX IDX_T_PMPT_RISKWARNINGSET_0 ON T_PMPT_RISKWARNINGSET ( FCONTROLLEVELID );


 EXEC P_ALTERPK 'PK_T_PMPT_CONTROLLEVEL_L', 'T_PMPT_CONTROLLEVEL_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PMPT_CONTROLLEVEL_L_0') CREATE  CLUSTERED INDEX IDX_T_PMPT_CONTROLLEVEL_L_0 ON T_PMPT_CONTROLLEVEL_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPT_constraint.sql **/
