﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_ASSISTTRANSFER') 
 CREATE TABLE T_PMPT_ASSISTTRANSFER (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FATRANSFERDATE DATETIME,
FATRANSFERPERSONID BIGINT DEFAULT 0 NOT NULL,
FAREMARK VARCHAR(255) DEFAULT ' ',
FATASKID BIGINT DEFAULT 0 NOT NULL,
FATRANSFERTIME DATETIME,
FASTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FISLATESTA CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_TASKASTRANSFER') 
 CREATE TABLE T_PMPT_TASKASTRANSFER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FREMARK1 VARCHAR(255) DEFAULT ' ',
FDATE DATETIME,
FISLATEST CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_TASKTRANSFER') 
 CREATE TABLE T_PMPT_TASKTRANSFER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FAPERSONID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FREMARK1 VARCHAR(255) DEFAULT ' ',
FDATE DATETIME,
FISLATEST CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_TFAMULCOPERSON') 
 CREATE TABLE T_PMPT_TFAMULCOPERSON (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_TFMULCODEPT') 
 CREATE TABLE T_PMPT_TFMULCODEPT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_TFPMULCOPERSON') 
 CREATE TABLE T_PMPT_TFPMULCOPERSON (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_DUTYTRANSFER') 
 CREATE TABLE T_PMPT_DUTYTRANSFER (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FTRANSFERDATE DATETIME,
FPRESPONSIBLEPERSONID BIGINT DEFAULT 0 NOT NULL,
FARESPONSIBLEPERSONID BIGINT DEFAULT 0 NOT NULL,
FARESPONSIBLEDEPTID BIGINT DEFAULT 0 NOT NULL,
FTRANSFERPERSONID BIGINT DEFAULT 0 NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ',
FTASKID BIGINT DEFAULT 0 NOT NULL,
FTRANSFERTIME DATETIME,
FDSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FISLATESTD CHAR(1) DEFAULT '0' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPT_table.sql **/
