﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_TRANSACTIONTYPE') 
 CREATE TABLE T_PMPT_TRANSACTIONTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISSYS CHAR(1) DEFAULT '0' NOT NULL,
FISPROJECTTASK CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPT_TRANSACTIONTYPE_L') 
 CREATE TABLE T_PMPT_TRANSACTIONTYPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPT_PLANTPLTASKENTRY' AND KSQL_COL_NAME ='FTRANSACTIONTYPEID') 
 ALTER TABLE T_PMPT_PLANTPLTASKENTRY ADD (FTRANSACTIONTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPT_DEPTPLAN' AND KSQL_COL_NAME ='FASSIGNERID') 
 ALTER TABLE T_PMPT_DEPTPLAN ADD (FASSIGNERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPT_PROJECTPLAN' AND KSQL_COL_NAME ='FASSIGNERID') 
 ALTER TABLE T_PMPT_PROJECTPLAN ADD (FASSIGNERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPT_TASK_A' AND KSQL_COL_NAME ='FASSIGNERID') 
 ALTER TABLE T_PMPT_TASK_A ADD (FASSIGNERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPT_TASK_A' AND KSQL_COL_NAME ='FTRANSACTIONTYPEID') 
 ALTER TABLE T_PMPT_TASK_A ADD (FTRANSACTIONTYPEID BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMPT_table.sql **/
